Package org.springframework.security.config.ldap

# Class LdapServerBeanDefinitionParser

java.lang.Object
org.springframework.security.config.ldap.LdapServerBeanDefinitionParser

All Implemented Interfaces:
  `org.springframework.beans.factory.xml.BeanDefinitionParser`

public class LdapServerBeanDefinitionParser extends Object implements org.springframework.beans.factory.xml.BeanDefinitionParser

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ATT_LDIF_FILE`
Optionally defines an ldif resource to be loaded.
`static final String`
`ATT_PORT`
Defines the port the LDAP_PROVIDER server should run on
`static final String`
`ATT_ROOT_SUFFIX`
sets the configuration suffix (default is "dc=springframework,dc=org").

## Constructor Summary

Constructors
Constructor
Description
`LdapServerBeanDefinitionParser()`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.beans.factory.config.BeanDefinition`
`parse(Element elt, org.springframework.beans.factory.xml.ParserContext parserContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ATT_ROOT_SUFFIX

public static final String ATT_ROOT_SUFFIX
sets the configuration suffix (default is "dc=springframework,dc=org").

See Also:
  - Constant Field Values

### ATT_LDIF_FILE

public static final String ATT_LDIF_FILE
Optionally defines an ldif resource to be loaded. Otherwise an attempt will be made to load all ldif files found on the classpath.

See Also:
  - Constant Field Values

### ATT_PORT

public static final String ATT_PORT
Defines the port the LDAP_PROVIDER server should run on

See Also:
  - Constant Field Values

## Constructor Details

### LdapServerBeanDefinitionParser

public LdapServerBeanDefinitionParser()

## Method Details

### parse

public org.springframework.beans.factory.config.BeanDefinition parse(Element elt, org.springframework.beans.factory.xml.ParserContext parserContext)

Specified by:
  `parse` in interface `org.springframework.beans.factory.xml.BeanDefinitionParser`